> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/update-dsentrydocumentation.md).

# Update-DSEntryDocumentation

Update-DSEntryDocumentation met à jour la page de documentation d'une entrée Devolutions Server par ID d'entrée et de page ou par objet d'entrée.

### Synopsis

Met à jour une page de documentation.

### Syntaxe

#### InputObject

```
Update-DSEntryDocumentation [-InputObject] <ConnectionHandbookPage> [-Name <string>]
 [-Data <string>] [-AsLastPage] [-AsNewDefault] [-AsLegacyResponse] [<CommonParameters>]
```

#### EntryID

```
Update-DSEntryDocumentation [-EntryID] <guid> [-PageID] <guid> [-Name <string>] [-Data <string>]
 [-AsLastPage] [-AsNewDefault] [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Met à jour une page de documentation. Prend soit une combinaison d'ID d'entrée et de page, soit un objet d'entrée (obtenu avec Get-DSEntryDocumentation).

### Exemples

#### Exemple 1

```powershell
PS C:\> Update-DSEntryDocumentation -EntryID $entryId -PageID $pageId -Data "My new documentation"
```

Mettre à jour les données d'une page de documentation existante.

#### Exemple 2

```powershell
PS C:\> Get-DSEntryDocumentation -ID $entryId -Name "DocToUpdate" | Update-DSEntryDocumentation -Data "My new documentation"
```

Mettre à jour les données d'une page de documentation existante, la page étant obtenue avec Get-DSEntryDocumentation.

#### Exemple 3

```powershell
PS C:\> $page = Get-DSEntryDocumentation -ID $entryId -Name "DocToUpdate";
    PS C:\> $page.Data = "My new documentation"
    PS C:\> Update-DSEntryDocumentation -InputObject $page
```

Mettre à jour les données d'une page de documentation existante, la page étant obtenue avec Get-DSEntryDocumentation et ses champs étant modifiés manuellement.

### Paramètres

#### -AsLastPage

Définir la page comme la dernière.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsLegacyResponse

Dans les versions antérieures à 2024.2, de nombreuses applets de commande DS retournaient un objet ServerResponse. L'activation de ce commutateur de rétrocompatibilité permet aux scripts développés pour les versions antérieures de fonctionner correctement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsNewDefault

Définir la page comme la nouvelle page par défaut.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Data

Contenu de la page de documentation.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -EntryID

ID de l'entrée.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: EntryID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Page de documentation obtenue avec Get-DSEntryDocumentation.

```yaml
Type: Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nom de la page de documentation.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PageID

ID de la page de documentation.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: EntryID
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage

### Sorties

#### Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage

### Notes

Pour plus d'informations, tapez « Get-Help Update-DSEntryDocumentation -detailed ». Pour des informations techniques, tapez « Get-Help Update-DSEntryDocumentation -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/update-dsentrydocumentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
